Subject: [PATCH] fetch: add fetch.pruneLocalBranches config

From: Harald Nordgren <[email-masked]>
Date: Wed, 13 May 2026 20:57:17 +0200

> I am not sure if this is a good idea at all.  The option is called
> prune-MERGED and with or without --force, mergedness should be what
> determines if a branch is deleted.

Well, when I started writing the feature it was "prune local branches",
and it evolved from there to prune merged.

But you're probably right. I did wipe up some branches with real work on my
side using this (I restored them), so it seems to be more of a foot-gun
than I first imagined.

Seems reasonable to remove the '--force' functionality.

Harald